org.apache.xerces.impl.dv.dtd

## Class DTDDVFactoryImpl

- java.lang.Object
- - org.apache.xerces.impl.dv.DTDDVFactory
  - - org.apache.xerces.impl.dv.dtd.DTDDVFactoryImpl

Direct Known Subclasses:
  XML11DTDDVFactoryImpl

    public class DTDDVFactoryImpl
    extends DTDDVFactory

the factory to create/return built-in schema DVs and create user-defined DVs

Version:
  $Id: DTDDVFactoryImpl.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`DTDDVFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DatatypeValidator` `getBuiltInDV(java.lang.String name)` return a dtd type of the given name
`java.util.Hashtable` `getBuiltInTypes()` get all built-in DVs, which are stored in a hashtable keyed by the name

### Methods inherited from class org.apache.xerces.impl.dv.DTDDVFactory

`getInstance, getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTDDVFactoryImpl

    public DTDDVFactoryImpl()

### Method Detail

#### getBuiltInDV

    public DatatypeValidator getBuiltInDV(java.lang.String name)

return a dtd type of the given name

Specified by:
  `getBuiltInDV` in class `DTDDVFactory`
Parameters:
  `name` - the name of the datatype
Returns:
  the datatype validator of the given name

#### getBuiltInTypes

    public java.util.Hashtable getBuiltInTypes()

get all built-in DVs, which are stored in a hashtable keyed by the name

Specified by:
  `getBuiltInTypes` in class `DTDDVFactory`
Returns:
  a hashtable which contains all datatypes